diff --git a/backend/server.py b/backend/server.py
index 3bc7ed9..8cd8e26 100644
--- a/backend/server.py
+++ b/backend/server.py
@@ -2717,6 +3004,385 @@ async def seed_data(db: AsyncSession = Depends(get_db)):
 async def root():
     return {"message": "TechZone API is running", "version": "2.0.0", "status": "healthy"}
 
+# ============================================
+# MEDIA MANAGEMENT ENDPOINTS
+# ============================================
+
+def get_media_type(filename: str) -> MediaType:
+    """Determine media type from file extension"""
+    ext = Path(filename).suffix.lower()
+    if ext in ALLOWED_IMAGE_EXTENSIONS:
+        return MediaType.IMAGE
+    elif ext in ALLOWED_DOC_EXTENSIONS:
+        return MediaType.DOCUMENT
+    elif ext in ALLOWED_VIDEO_EXTENSIONS:
+        return MediaType.VIDEO
+    return MediaType.OTHER
+
+
+def get_image_dimensions(file_path: Path) -> tuple:
+    """Get image dimensions if PIL is available"""
+    try:
+        from PIL import Image
+        with Image.open(file_path) as img:
+            return img.size
+    except:
+        return None, None
+
+
+@api_router.get("/media")
+async def get_all_media(
+    page: int = Query(1, ge=1),
+    limit: int = Query(20, ge=1, le=100),
+    media_type: str = Query(None),
+    search: str = Query(None),
+    db: AsyncSession = Depends(get_db),
+    current_user: User = Depends(get_current_user)
+):
+    """Get all media files with pagination"""
+    if current_user.role not in [UserRole.ADMIN, UserRole.EMPLOYEE]:
+        raise HTTPException(status_code=403, detail="Not authorized")
+    
+    try:
+        query = select(Media).where(Media.is_active == True)
+        
+        if media_type:
+            query = query.where(Media.media_type == MediaType(media_type))
+        
+        if search:
+            query = query.where(
+                or_(
+                    Media.original_filename.ilike(f"%{search}%"),
+                    Media.title.ilike(f"%{search}%"),
+                    Media.alt_text.ilike(f"%{search}%")
+                )
+            )
+        
+        # Get total count
+        count_query = select(func.count(Media.id)).where(Media.is_active == True)
+        if media_type:
+            count_query = count_query.where(Media.media_type == MediaType(media_type))
+        if search:
+            count_query = count_query.where(
+                or_(
+                    Media.original_filename.ilike(f"%{search}%"),
+                    Media.title.ilike(f"%{search}%")
+                )
+            )
+        total_result = await db.execute(count_query)
+        total = total_result.scalar()
+        
+        # Apply pagination
+        offset = (page - 1) * limit
+        query = query.order_by(Media.created_at.desc()).offset(offset).limit(limit)
+        
+        result = await db.execute(query)
+        media_items = result.scalars().all()
+        
+        return {
+            "items": [{
+                "id": m.id,
+                "filename": m.filename,
+                "original_filename": m.original_filename,
+                "file_url": m.file_url,
+                "file_size": m.file_size,
+                "mime_type": m.mime_type,
+                "media_type": m.media_type.value,
+                "alt_text": m.alt_text,
+                "title": m.title,
+                "width": m.width,
+                "height": m.height,
+                "created_at": m.created_at.isoformat() if m.created_at else None
+            } for m in media_items],
+            "total": total,
+            "page": page,
+            "limit": limit,
+            "pages": (total + limit - 1) // limit
+        }
+    except Exception as e:
+        logger.error(f"Error fetching media: {e}")
+        raise HTTPException(status_code=500, detail=str(e))
+
+
+@api_router.post("/media/upload")
+async def upload_media(
+    file: UploadFile = File(...),
+    alt_text: str = Form(None),
+    title: str = Form(None),
+    description: str = Form(None),
+    db: AsyncSession = Depends(get_db),
+    current_user: User = Depends(get_current_user)
+):
+    """Upload a media file"""
+    if current_user.role not in [UserRole.ADMIN, UserRole.EMPLOYEE]:
+        raise HTTPException(status_code=403, detail="Not authorized")
+    
+    try:
+        # Validate file
+        if not file.filename:
+            raise HTTPException(status_code=400, detail="No file provided")
+        
+        # Check file extension
+        ext = Path(file.filename).suffix.lower()
+        all_allowed = ALLOWED_IMAGE_EXTENSIONS | ALLOWED_DOC_EXTENSIONS | ALLOWED_VIDEO_EXTENSIONS
+        if ext not in all_allowed:
+            raise HTTPException(
+                status_code=400, 
+                detail=f"File type not allowed. Allowed: {', '.join(all_allowed)}"
+            )
+        
+        # Read file content
+        content = await file.read()
+        file_size = len(content)
+        
+        # Check file size
+        if file_size > MAX_FILE_SIZE:
+            raise HTTPException(
+                status_code=400, 
+                detail=f"File too large. Maximum size: {MAX_FILE_SIZE // (1024*1024)}MB"
+            )
+        
+        # Generate unique filename
+        unique_filename = f"{uuid.uuid4()}{ext}"
+        file_path = MEDIA_UPLOAD_DIR / unique_filename
+        
+        # Save file
+        async with aiofiles.open(file_path, 'wb') as f:
+            await f.write(content)
+        
+        # Get image dimensions if applicable
+        width, height = None, None
+        if ext in ALLOWED_IMAGE_EXTENSIONS:
+            width, height = get_image_dimensions(file_path)
+        
+        # Determine media type
+        media_type = get_media_type(file.filename)
+        
+        # Create media record
+        media = Media(
+            filename=unique_filename,
+            original_filename=file.filename,
+            file_path=str(file_path),
+            file_url=f"/uploads/media/{unique_filename}",
+            file_size=file_size,
+            mime_type=file.content_type,
+            media_type=media_type,
+            alt_text=alt_text or file.filename,
+            title=title or Path(file.filename).stem,
+            description=description,
+            width=width,
+            height=height,
+            uploaded_by=current_user.id
+        )
+        
+        db.add(media)
+        await db.commit()
+        await db.refresh(media)
+        
+        logger.info(f"Media uploaded: {unique_filename} by {current_user.email}")
+        
+        return {
+            "id": media.id,
+            "filename": media.filename,
+            "original_filename": media.original_filename,
+            "file_url": media.file_url,
+            "file_size": media.file_size,
+            "mime_type": media.mime_type,
+            "media_type": media.media_type.value,
+            "alt_text": media.alt_text,
+            "title": media.title,
+            "width": media.width,
+            "height": media.height,
+            "created_at": media.created_at.isoformat() if media.created_at else None
+        }
+    except HTTPException:
+        raise
+    except Exception as e:
+        logger.error(f"Error uploading media: {e}")
+        raise HTTPException(status_code=500, detail=str(e))
+
+
+@api_router.post("/media/upload-multiple")
+async def upload_multiple_media(
+    files: List[UploadFile] = File(...),
+    db: AsyncSession = Depends(get_db),
+    current_user: User = Depends(get_current_user)
+):
+    """Upload multiple media files at once"""
+    if current_user.role not in [UserRole.ADMIN, UserRole.EMPLOYEE]:
+        raise HTTPException(status_code=403, detail="Not authorized")
+    
+    uploaded = []
+    errors = []
+    
+    for file in files:
+        try:
+            if not file.filename:
+                continue
+            
+            ext = Path(file.filename).suffix.lower()
+            all_allowed = ALLOWED_IMAGE_EXTENSIONS | ALLOWED_DOC_EXTENSIONS | ALLOWED_VIDEO_EXTENSIONS
+            if ext not in all_allowed:
+                errors.append({"filename": file.filename, "error": "File type not allowed"})
+                continue
+            
+            content = await file.read()
+            file_size = len(content)
+            
+            if file_size > MAX_FILE_SIZE:
+                errors.append({"filename": file.filename, "error": "File too large"})
+                continue
+            
+            unique_filename = f"{uuid.uuid4()}{ext}"
+            file_path = MEDIA_UPLOAD_DIR / unique_filename
+            
+            async with aiofiles.open(file_path, 'wb') as f:
+                await f.write(content)
+            
+            width, height = None, None
+            if ext in ALLOWED_IMAGE_EXTENSIONS:
+                width, height = get_image_dimensions(file_path)
+            
+            media_type = get_media_type(file.filename)
+            
+            media = Media(
+                filename=unique_filename,
+                original_filename=file.filename,
+                file_path=str(file_path),
+                file_url=f"/uploads/media/{unique_filename}",
+                file_size=file_size,
+                mime_type=file.content_type,
+                media_type=media_type,
+                alt_text=file.filename,
+                title=Path(file.filename).stem,
+                width=width,
+                height=height,
+                uploaded_by=current_user.id
+            )
+            
+            db.add(media)
+            uploaded.append({
+                "filename": file.filename,
+                "file_url": media.file_url
+            })
+        except Exception as e:
+            errors.append({"filename": file.filename, "error": str(e)})
+    
+    await db.commit()
+    
+    return {
+        "uploaded": uploaded,
+        "errors": errors,
+        "total_uploaded": len(uploaded),
+        "total_errors": len(errors)
+    }
+
+
+@api_router.get("/media/{media_id}")
+async def get_media(
+    media_id: str,
+    db: AsyncSession = Depends(get_db),
+    current_user: User = Depends(get_current_user)
+):
+    """Get a single media item"""
+    if current_user.role not in [UserRole.ADMIN, UserRole.EMPLOYEE]:
+        raise HTTPException(status_code=403, detail="Not authorized")
+    
+    result = await db.execute(select(Media).where(Media.id == media_id))
+    media = result.scalar_one_or_none()
+    
+    if not media:
+        raise HTTPException(status_code=404, detail="Media not found")
+    
+    return {
+        "id": media.id,
+        "filename": media.filename,
+        "original_filename": media.original_filename,
+        "file_url": media.file_url,
+        "file_size": media.file_size,
+        "mime_type": media.mime_type,
+        "media_type": media.media_type.value,
+        "alt_text": media.alt_text,
+        "title": media.title,
+        "description": media.description,
+        "width": media.width,
+        "height": media.height,
+        "created_at": media.created_at.isoformat() if media.created_at else None
+    }
+
+
+@api_router.put("/media/{media_id}")
+async def update_media(
+    media_id: str,
+    alt_text: str = Form(None),
+    title: str = Form(None),
+    description: str = Form(None),
+    db: AsyncSession = Depends(get_db),
+    current_user: User = Depends(get_current_user)
+):
+    """Update media metadata"""
+    if current_user.role not in [UserRole.ADMIN, UserRole.EMPLOYEE]:
+        raise HTTPException(status_code=403, detail="Not authorized")
+    
+    result = await db.execute(select(Media).where(Media.id == media_id))
+    media = result.scalar_one_or_none()
+    
+    if not media:
+        raise HTTPException(status_code=404, detail="Media not found")
+    
+    if alt_text is not None:
+        media.alt_text = alt_text
+    if title is not None:
+        media.title = title
+    if description is not None:
+        media.description = description
+    
+    await db.commit()
+    await db.refresh(media)
+    
+    return {
+        "id": media.id,
+        "filename": media.filename,
+        "file_url": media.file_url,
+        "alt_text": media.alt_text,
+        "title": media.title,
+        "description": media.description
+    }
+
+
+@api_router.delete("/media/{media_id}")
+async def delete_media(
+    media_id: str,
+    db: AsyncSession = Depends(get_db),
+    current_user: User = Depends(get_current_user)
+):
+    """Delete a media file"""
+    if current_user.role != UserRole.ADMIN:
+        raise HTTPException(status_code=403, detail="Admin access required")
+    
+    result = await db.execute(select(Media).where(Media.id == media_id))
+    media = result.scalar_one_or_none()
+    
+    if not media:
+        raise HTTPException(status_code=404, detail="Media not found")
+    
+    # Delete physical file
+    try:
+        file_path = Path(media.file_path)
+        if file_path.exists():
+            file_path.unlink()
+    except Exception as e:
+        logger.warning(f"Could not delete file {media.file_path}: {e}")
+    
+    # Delete from database
+    await db.delete(media)
+    await db.commit()
+    
+    logger.info(f"Media deleted: {media.filename} by {current_user.email}")
+    
+    return {"message": "Media deleted successfully"}
+
+
 @api_router.get("/health")
 async def health_check(db: AsyncSession = Depends(get_db)):
     """Comprehensive health check endpoint"""
@@ -2740,20 +3406,22 @@ async def health_check(db: AsyncSession = Depends(get_db)):
             "timestamp": datetime.now(timezone.utc).isoformat()
         }
 
+# Add CORS middleware BEFORE including routes
+app.add_middleware(
+    CORSMiddleware,
+    allow_credentials=True,
+    allow_origins=["http://localhost:5300", "http://localhost:3000", "http://127.0.0.1:5300", "http://prompttech.dynns.com"],
+    allow_methods=["GET", "POST", "PUT", "DELETE", "OPTIONS", "PATCH"],
+    allow_headers=["*"],
+    expose_headers=["*"],
+)
+
 # Include the router
 app.include_router(api_router)
 
 # Mount static files for uploaded images
 app.mount("/uploads", StaticFiles(directory=str(ROOT_DIR / "uploads")), name="uploads")
 
-app.add_middleware(
-    CORSMiddleware,
-    allow_credentials=True,
-    allow_origins=os.environ.get('CORS_ORIGINS', '*').split(','),
-    allow_methods=["*"],
-    allow_headers=["*"],
-)
-
 if __name__ == "__main__":
     import uvicorn
     uvicorn.run(app, host="0.0.0.0", port=8181)
diff --git a/backend/sync_about_content.py b/backend/sync_about_content.py
new file mode 100644
index 0000000..8e54832
--- /dev/null
+++ b/backend/sync_about_content.py
@@ -0,0 +1,60 @@
+#!/usr/bin/env python3
+"""
+Sync About Page Content to Database
+This script updates the about_content table with the correct content
+"""
+import psycopg2
+import json
+
+conn = psycopg2.connect(
+    host='localhost', 
+    database='prompttech', 
+    user='prompttech_user', 
+    password='prompttech_pass'
+)
+cur = conn.cursor()
+
+# Update Hero Section
+hero_content = "Founded in 2021, PromptTech Solutions has evolved from a small repair shop into a comprehensive tech solutions provider. We're here to guide you through any technology challenge—whether it's laptops, desktops, smartphones, or other devices. With expert service and personalized support, we deliver reliable solutions for all your tech needs."
+
+cur.execute("""
+    UPDATE about_content 
+    SET title = %s, subtitle = %s, content = %s 
+    WHERE section = 'hero'
+""", ("Your Trusted", "Tech Partner", hero_content))
+print(f"Updated hero: {cur.rowcount} row(s)")
+
+# Update Stats Section
+stats_data = {
+    "stats": [
+        {"label": "Happy Customers", "value": "1K+"},
+        {"label": "Products Sold", "value": "500+"},
+        {"label": "Repairs Done", "value": "1,500+"},
+        {"label": "Satisfaction Rate", "value": "90%"}
+    ]
+}
+
+cur.execute("""
+    UPDATE about_content 
+    SET data = %s 
+    WHERE section = 'stats'
+""", (json.dumps(stats_data),))
+print(f"Updated stats: {cur.rowcount} row(s)")
+
+# Update Story Section
+story_content = """<p>PromptTech Solutions started with a simple vision: to make quality tech accessible and provide expert support that customers can trust. What began as a small phone repair shop has evolved into a full-service tech destination.</p>
+<p>Our team of certified technicians brings years of combined experience in electronics repair, from smartphones to laptops and everything in between. We've helped thousands of customers bring their devices back to life.</p>
+<p>Today, we're proud to offer a curated selection of premium electronics alongside our repair services. Every product we sell meets our high standards for quality, and every repair we do is backed by our satisfaction guarantee.</p>"""
+
+cur.execute("""
+    UPDATE about_content 
+    SET title = %s, content = %s 
+    WHERE section = 'story'
+""", ("Our Story", story_content))
+print(f"Updated story: {cur.rowcount} row(s)")
+
+conn.commit()
+print("All content synced successfully!")
+
+cur.close()
+conn.close()
diff --git a/backend/update_about_content.py b/backend/update_about_content.py
new file mode 100644
index 0000000..3aa89fc
--- /dev/null
+++ b/backend/update_about_content.py
@@ -0,0 +1,19 @@
+#!/usr/bin/env python3
+import psycopg2
+
+conn = psycopg2.connect(
+    host='localhost', 
+    database='prompttech', 
+    user='prompttech_user', 
+    password='prompttech_pass'
+)
+cur = conn.cursor()
+
+new_content = "Founded in 2021, PromptTech Solutions has evolved from a small repair shop into a comprehensive tech solutions provider. We're here to guide you through any technology challenge—whether it's laptops, desktops, smartphones, or other devices. With expert service and personalized support, we deliver reliable solutions for all your tech needs."
+
+cur.execute("UPDATE about_content SET content = %s WHERE section = 'hero'", (new_content,))
+conn.commit()
+print(f'Updated {cur.rowcount} row(s)')
+
+cur.close()
+conn.close()
diff --git a/backend/update_admin_email.py b/backend/update_admin_email.py
new file mode 100644
index 0000000..67eed76
--- /dev/null
+++ b/backend/update_admin_email.py
@@ -0,0 +1,43 @@
+#!/usr/bin/env python3
+"""Update admin email from techzone to prompttech"""
+
+import asyncio
+import sys
+from sqlalchemy import select, update
+from sqlalchemy.ext.asyncio import create_async_engine, AsyncSession
+from sqlalchemy.orm import sessionmaker
+
+sys.path.append('/media/pts/Website/PromptTech_Solution_Site/backend')
+from models import User, UserRole
+from database import DATABASE_URL
+
+async def update_admin_email():
+    engine = create_async_engine(DATABASE_URL, echo=False)
+    async_session = sessionmaker(engine, class_=AsyncSession, expire_on_commit=False)
+    
+    async with async_session() as session:
+        # Find admin user with old email
+        result = await session.execute(
+            select(User).where(User.email == "admin@techzone.com")
+        )
+        admin = result.scalar_one_or_none()
+        
+        if admin:
+            print(f"✓ Found admin user: {admin.email}")
+            admin.email = "admin@prompttech.com"
+            await session.commit()
+            print(f"✓ Updated admin email to: admin@prompttech.com")
+            print(f"\nNew credentials:")
+            print(f"  Email: admin@prompttech.com")
+            print(f"  Password: admin123")
+        else:
+            print("✗ Admin user with email admin@techzone.com not found")
+            # Show all users
+            result = await session.execute(select(User))
+            users = result.scalars().all()
+            print(f"\nFound {len(users)} users:")
+            for user in users:
+                print(f"  - {user.email} ({user.role.value})")
+
+if __name__ == "__main__":
+    asyncio.run(update_admin_email())
